Topics

[AMBED] AMBEDon buster?

 

I have a fresh install of buster light and I'm working on installing ambed.

Any idea why I'm getting this?

g++ -c -std=c++11 -pthread cvocodecinterface.cpp -o cvocodecinterface.o
g++ -std=c++11 -pthread  cusb3003hrinterface.o cusb3003df2etinterface.o ccallsign.o cudpsocket.o cambepacket.o cambeserver.o cstream.o cusb3000interface.o cusb3xxxinterface.o main.o ctimepoint.o cpacket.o cvocodecchannel.o cftdidevicedescr.o cusb3003interface.o cip.o cvocodecs.o cvoicepacket.o cpacketqueue.o cbuffer.o ccontroller.o cvocodecinterface.o -lftd2xx -Wl,-rpath,/usr/local/lib -o ambed
/usr/bin/ld: skipping incompatible //usr/local/lib/libftd2xx.so when searching for -lftd2xx
/usr/bin/ld: skipping incompatible //usr/local/lib/libftd2xx.a when searching for -lftd2xx
/usr/bin/ld: cannot find -lftd2xx
collect2: error: ld returned 1 exit status
make: *** [makefile:11: ambed] Error 1
mkdir -p /ambed
cp ambed /ambed/
cp: cannot stat 'ambed': No such file or directory
make: *** [makefile:21: install] Error 1
------------------------------------------------------------------------------
I dont see an AMBED file after compiling. Look at the errors above and try again. Exiting.....
------------------------------------------------------------------------------

 

Ok what needs to be done to make XLX in the cloud use this ambed server?

I resolved my original problem by installing the full version of stretch. The Lite version of buster and stretch got the same error.

On Fri, Feb 14, 2020, 7:47 PM Russell, KV4S via Groups.Io <russelljthomas=gmail.com@groups.io> wrote:
I have a fresh install of buster light and I'm working on installing ambed.

Any idea why I'm getting this?

g++ -c -std=c++11 -pthread cvocodecinterface.cpp -o cvocodecinterface.o
g++ -std=c++11 -pthread  cusb3003hrinterface.o cusb3003df2etinterface.o ccallsign.o cudpsocket.o cambepacket.o cambeserver.o cstream.o cusb3000interface.o cusb3xxxinterface.o main.o ctimepoint.o cpacket.o cvocodecchannel.o cftdidevicedescr.o cusb3003interface.o cip.o cvocodecs.o cvoicepacket.o cpacketqueue.o cbuffer.o ccontroller.o cvocodecinterface.o -lftd2xx -Wl,-rpath,/usr/local/lib -o ambed
/usr/bin/ld: skipping incompatible //usr/local/lib/libftd2xx.so when searching for -lftd2xx
/usr/bin/ld: skipping incompatible //usr/local/lib/libftd2xx.a when searching for -lftd2xx
/usr/bin/ld: cannot find -lftd2xx
collect2: error: ld returned 1 exit status
make: *** [makefile:11: ambed] Error 1
mkdir -p /ambed
cp ambed /ambed/
cp: cannot stat 'ambed': No such file or directory
make: *** [makefile:21: install] Error 1
------------------------------------------------------------------------------
I dont see an AMBED file after compiling. Look at the errors above and try again. Exiting.....
------------------------------------------------------------------------------

 

This would be better addressed on the xlxd project on GitHub 


On Sat, Feb 15, 2020, 07:54 Russell, KV4S <russelljthomas@...> wrote:
Ok what needs to be done to make XLX in the cloud use this ambed server?

I resolved my original problem by installing the full version of stretch. The Lite version of buster and stretch got the same error.

On Fri, Feb 14, 2020, 7:47 PM Russell, KV4S via Groups.Io <russelljthomas=gmail.com@groups.io> wrote:
I have a fresh install of buster light and I'm working on installing ambed.

Any idea why I'm getting this?

g++ -c -std=c++11 -pthread cvocodecinterface.cpp -o cvocodecinterface.o
g++ -std=c++11 -pthread  cusb3003hrinterface.o cusb3003df2etinterface.o ccallsign.o cudpsocket.o cambepacket.o cambeserver.o cstream.o cusb3000interface.o cusb3xxxinterface.o main.o ctimepoint.o cpacket.o cvocodecchannel.o cftdidevicedescr.o cusb3003interface.o cip.o cvocodecs.o cvoicepacket.o cpacketqueue.o cbuffer.o ccontroller.o cvocodecinterface.o -lftd2xx -Wl,-rpath,/usr/local/lib -o ambed
/usr/bin/ld: skipping incompatible //usr/local/lib/libftd2xx.so when searching for -lftd2xx
/usr/bin/ld: skipping incompatible //usr/local/lib/libftd2xx.a when searching for -lftd2xx
/usr/bin/ld: cannot find -lftd2xx
collect2: error: ld returned 1 exit status
make: *** [makefile:11: ambed] Error 1
mkdir -p /ambed
cp ambed /ambed/
cp: cannot stat 'ambed': No such file or directory
make: *** [makefile:21: install] Error 1
------------------------------------------------------------------------------
I dont see an AMBED file after compiling. Look at the errors above and try again. Exiting.....
------------------------------------------------------------------------------